### Class

# Ggit Tag

#### Description [src]

    class Ggit.Tag : Ggit.Object
    {
      /* No available fields */
    }

Represents a tag object.

#### Hierarchy

#### Ancestors

- GgitObject
- GgitNative
- GgitObjectFactoryBase
- GObject

#### Instance methods

###### ggit_tag_get_message

Gets the message of `tag`.

###### ggit_tag_get_name

Gets the name of `tag`.

###### ggit_tag_get_tagger

Get the tagger (author) of `tag`. The returned value must be free with g_object_unref().

###### ggit_tag_get_target

Gets the target `GgitObject` of `tag`.

###### ggit_tag_get_target_id

Gets the target `GgitOId` of `tag`.

###### ggit_tag_get_target_type

Get the target object type.

###### ggit_tag_peel

Recursively peel a tag until a non tag object is found.

##### Methods inherited from GgitObject (2)

###### ggit_object_get_id

Gets the `GgitOId` of `object`.

###### ggit_object_get_owner

Gets the `GgitRepository` that owns `object`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitTagClass {
      /* no available fields */
    }

The class structure for `GgitTagClass`.